Get Revenue Center Consumer Facing Content

post

/content/sim/v2/hierarchy/revenueCenters/getConsumerContent

Gets a list of Revenue Center Consumer Facing Content.

Request

Supported Media Types
Body ()
Request body
Root Schema : schema
Type: object
Show Source
  • Unique reference of the hierarchy unit of the revenue center
    Example: 2
  • If specified, limits the data returned to these fields.
    Example: hierUnitId, images
  • If this value is specified, the include parameter is ignored.
    Value Description
    basic Forces the response to include all fields except option string details
    detailed Forces the response to include all fields including option string details
    Example: detailed
  • If specified, limits translated strings returned
    Example: 1,2,3
  • If using paging, number of results returned in this page.
    Example: 100
  • Starting resource record index. Not required if paging parameters are not supported
    Example: 0
  • Sorts the response by the specified field name and sort order. Allowed field is hierUnitId.
    Example: hierUnitId:asc
  • If specified, returns records that match the criteria. Allowed fields are hierUnitId, imageIndex, altText, description, size, and imageUrl.
    Example: where equals(hierUnitId, 7)
Back to Top

Response

Supported Media Types

200 Response

A collection of Revenue Center Consumer Facing Content.
Body ()
Root Schema : schema
Type: object
Show Source
Nested Schema : items
Type: array
Array of Revenue Center Consumer Facing Content objects of the organization.
Show Source
Nested Schema : items
Type: object
Model for Revenue Center Consumer Facing Content Object Get Response
Show Source
Nested Schema : images
Type: array
Collection of consumer content images configured for the Revenue Center.
Show Source
Nested Schema : items
Type: object
Show Source
Back to Top